import babel.dates
from babel import numbers
from dateutil.parser import parse


def format_field(field, value):
    if field == "invoicingAccountNumber":
        return [
            value[:4] + "." + value[4:6] + "." + value[6:],
            value[:4] + " " + value[4:6] + " " + value[6:],
            value[:4] + "." + value[4:8] + "." + value[8:],
            value[:4] + " " + value[4:8] + " " + value[8:],
            value,
        ]
    if field == "principalAmount":
        clean_without_extra_space = str(numbers.format_currency(value, currency="", locale="no"))
        clean_without_extra_space = (
            clean_without_extra_space.replace(u"-\xa0", "-")
            if "-" in value
            else str(numbers.format_currency(value, currency="", locale="no"))[1:]
        )
        return [
            clean_without_extra_space.replace(u"\xa0", " "),
            clean_without_extra_space,
            str(numbers.format_currency(value, currency="", locale="no")).replace(u"\xa0", " ")[1:].replace(" ", "."),
            str(numbers.format_currency(value, currency="", locale="no")).replace(u"\xa0", " ")[1:].replace(".", ","),
            value,
            clean_without_extra_space.replace(u"\xa0", " ").replace(",", " "),
            value.replace(".", " "),
            value.replace(".", ","),
        ]
    if field in ["date", "dueDate"]:
        date = parse(value)
        values = [
            date.strftime("%Y-%m-%d"),
            date.strftime("%d-%m-%Y"),
            date.strftime("%d-%m-%y"),
            date.strftime("%Y.%m.%d"),
            date.strftime("%d.%m.%Y"),
            date.strftime("%d.%m.%y"),
            babel.dates.format_date(date, "d MMM yyyy", locale="no_NO").replace(".", ""),
            babel.dates.format_date(date, "dd MMM yyyy", locale="no_NO").replace(".", ""),
            value,
            date.strftime("%-d.%m.%y"),
        ]
        return values
    return [value]
