import graphene

from .field import DateField, StringField


class BankVoucher(graphene.ObjectType):
    payer = graphene.Field(StringField)
    creditor = graphene.Field(StringField)
    from_account_number = graphene.Field(StringField)
    to_account_number = graphene.Field(StringField)
    message = graphene.Field(StringField)
    entrybox = graphene.Field(StringField)
    principal_amount = graphene.Field(StringField)
    date = graphene.Field(DateField)

    def resolve_to_account_number(self, info: graphene.ResolveInfo) -> graphene.Field:  # # pylint: disable=W0613
        return self.to_account_number

    def resolve_message(self, info: graphene.ResolveInfo) -> graphene.Field:  # # pylint: disable=W0613
        return self.message

    def resolve_payer(self, info: graphene.ResolveInfo) -> graphene.Field:  # # pylint: disable=W0613
        return self.payer

    def resolve_creditor(self, info: graphene.ResolveInfo) -> graphene.Field:  # # pylint: disable=W0613
        return self.creditor

    def resolve_from_account_number(self, info: graphene.ResolveInfo) -> graphene.Field:  # # pylint: disable=W0613
        return self.from_account_number

    def resolve_entrybox(self, info: graphene.ResolveInfo) -> graphene.Field:  # # pylint: disable=W0613
        return self.entrybox

    def resolve_principal_amount(self, info: graphene.ResolveInfo) -> graphene.Field:  # # pylint: disable=W0613
        return self.principal_amount

    def resolve_date(self, info: graphene.ResolveInfo) -> graphene.Field:  # # pylint: disable=W0613
        return self.date
