import graphene


class GeneralField(graphene.ObjectType):
    value = graphene.String()
    confidence = graphene.Float()

    def resolve_value(self, info: graphene.ResolveInfo) -> graphene.String:  # # pylint: disable=W0613
        return self.value

    def resolve_confidence(self, info: graphene.ResolveInfo) -> graphene.Float:  # # pylint: disable=W0613
        return self.confidence


class StringField(GeneralField):
    pass


class DateField(GeneralField):
    value = graphene.Date()  # type: ignore

    def resolve_value(self, info: graphene.ResolveInfo) -> graphene.Date:  # type: ignore # pylint: disable=W0613
        return self.value  # type: ignore
