# pylint: disable=too-few-public-methods
import sys

from dependency_injector import containers, providers

from ..model.model_yolo import ModelYolo
from ..pdfreader.pdf_reader_mupdf import PdfReaderMupdf
from ..resolver.kid import Kid
from ..validators.account_number_validator import AccountNumberValidator


class CoreContainer(containers.DeclarativeContainer):
    config = providers.Configuration()
    pdf_reader = providers.Singleton(PdfReaderMupdf)
    accountnumber_validator = providers.Singleton(AccountNumberValidator)
    kid = providers.Singleton(Kid)
    model = providers.Singleton(ModelYolo)


is_running_test = "unittest" in sys.modules.keys()
ContainerRef = CoreContainer
Container = ContainerRef()
Container.init_resources()
