from abc import ABC, abstractmethod
from typing import Any, Union

from pdf_invoice_reader_common.interface import BankVoucher, Invoice


class Model(ABC):
    @abstractmethod
    def predict_invoice(self, image_file: Any) -> Union[BankVoucher, Invoice]:
        """Model should output a invoice"""

    @abstractmethod
    def predict_bankvoucher(self, image_file: Any) -> Union[BankVoucher, Invoice]:
        """Model should output a bankvoucher"""
