from abc import ABC, abstractmethod
from dataclasses import dataclass
from typing import List, Union


@dataclass
class BboxText:
    """Model output """

    text: str
    bbox: List[float]
    page_width: Union[List[float], None] = None
    page_height: Union[List[float], None] = None
    page: float = 0


class PdfReader(ABC):
    @abstractmethod
    def read(self, file_path: str) -> str:
        """This returns the text in a pdf file"""

    @abstractmethod
    def get_text_bbox(self, file_path: str) -> List[BboxText]:
        """This returns the bbox with text of a pdf file"""
