from typing import Dict, List

from .pdf_reader import BboxText, PdfReader


class PdfReaderMock(PdfReader):
    def __init__(self) -> None:
        self.files: Dict[str, str] = {}
        self.files_bbox: Dict[str, List[BboxText]] = {}

    def read(self, file_path: str) -> str:
        return self.files[file_path]

    def add_file(self, file: str, content: str, bbox: List[BboxText] = []) -> None:
        self.files[file] = content
        self.files_bbox[file] = bbox

    def get_text_bbox(self, file_path: str) -> List[BboxText]:
        return self.files_bbox[file_path]
