from datetime import datetime
from typing import Union

from dateutil.parser import parse
from pdfinvoicereader.validators.validator import Validator


class Date(Validator[str]):  # pylint: disable=E1136  # pylint/issues/2822
    @staticmethod
    def validate(input_str: str) -> bool:
        if Date().get_date(input_str) is not None:
            return True
        return False

    def get_date(self, input_str: str) -> Union[datetime, None]:
        try:
            date = parse(input_str)
            if date.year > 2000:
                return date
            return None
        except ValueError:
            return None
