import unittest

from pdfinvoicereader.resolver.grace_period_validation import DateAndDueDate, GradePeriod


class DateValidatorTest(unittest.TestCase):
    def test_valid_dates(self) -> None:
        self.assertTrue(GradePeriod.validate(DateAndDueDate("2021-01-1", "2021-01-15")))
        self.assertTrue(GradePeriod.validate(DateAndDueDate("2021-01-1", "2021-01-28")))
        self.assertTrue(GradePeriod.validate(DateAndDueDate("2021.01.1", "2021.01.28")))

    def test_invalid_dates(self) -> None:
        self.assertFalse(GradePeriod.validate(DateAndDueDate("20211", "2021-01-28")))
        self.assertFalse(GradePeriod.validate(DateAndDueDate("2021-01-1", "2021-01-01")))
