import unittest

from .kid import Kid


class KidValidatorTest(unittest.TestCase):
    def test_valid_kid_number(self) -> None:
        self.assertTrue(Kid.validate("2345676"))
        self.assertTrue(Kid.validate("0207821653"))
        self.assertTrue(Kid.validate("0240660290"))
        self.assertTrue(Kid.validate("9999999999999999999999994"))
        self.assertTrue(Kid.validate("5213420110636"))
        self.assertTrue(Kid.validate("10789014"))
        self.assertTrue(Kid.validate("10802015"))

    def test_invalid_kid_number(self) -> None:
        self.assertFalse(Kid.validate("1221"))
        self.assertFalse(Kid.validate("2240660295"))
        self.assertFalse(Kid.validate(""))
        self.assertFalse(Kid.validate(" 0240660290"))
        self.assertFalse(Kid.validate("99999999999999999999999995"))
