import os
import sys

from pdfinvoicereader.accuracy import Accuracy
from pdfinvoicereader.containers.core_container import Container
from pdfinvoicereader.dataset.dataset_loader import DatasetLoader
from pdfinvoicereader.resolver.text_kid_finder import TextKidFinder


def test_kid_finder() -> None:
    setup_di()
    resolver = TextKidFinder()
    path = os.path.dirname(os.path.abspath(__file__))
    dataset_path = os.path.join(path, "../../datasets/")
    acc = Accuracy().get_accuracy(resolver=resolver, dataset=DatasetLoader(dataset_path), field="kid")
    print(acc)


def setup_di() -> None:
    Container.wire(modules=[sys.modules[__name__]])


if __name__ == "__main__":
    test_kid_finder()
