import sys
import unittest

from dateutil.parser import parse

from ..containers.core_container import Container
from .text_date_finder import TextDateFinder


class TextDateFinderTest(unittest.TestCase):
    def setUp(self) -> None:
        Container.wire(modules=[sys.modules[__name__]])

    def test_with_date(self) -> None:
        assert TextDateFinder().find_in_text("some noise and a date 06/06/2018") == [parse("06/06/2018")]
        assert TextDateFinder().find_in_text("some noise and a date 07 jan 2021") == [parse("07 jan 2021")]
        assert TextDateFinder().find_in_text("some noise and a date 28 des 2020") == [parse("28 dec 2020")]
        assert TextDateFinder().find_in_text("some noise and a date 23. september 2020") == [parse("23 sept 2020")]

    def test_with_no_date(self) -> None:
        assert TextDateFinder().find_in_text("some noise and a date dd/mm/yy") == []
