from abc import ABC, abstractmethod
from datetime import datetime
from typing import List, Union


class TextResolver(ABC):
    @abstractmethod
    def find_in_text(self, text: str) -> Union[List[str], List[datetime]]:
        """Resolves a field in a text"""

    @abstractmethod
    def find_in_file(self, path: str) -> Union[List[str], List[datetime]]:
        """Resolves a field in a file"""
