import unittest

from .account_number_validator import AccountNumberValidator


class AccountNumberValidatorTest(unittest.TestCase):
    def setUp(self) -> None:
        self.validate = AccountNumberValidator().validate

    def test_valid_account_number(self) -> None:
        self.assertTrue(self.validate("97752855084"))
        self.assertTrue(self.validate("12146862924"))
        self.assertTrue(self.validate(" 12146862924"))
        self.assertTrue(self.validate("12146862924 "))
        self.assertTrue(self.validate("00000000000"))
        self.assertTrue(self.validate("44841357350"))
        self.assertTrue(self.validate("24702889584"))
        self.assertTrue(self.validate("12028266365"))
        self.assertTrue(self.validate("20500210940"))
        self.assertTrue(self.validate("95210564072"))

    def test_invalid_account_number(self) -> None:
        self.assertFalse(self.validate("92753325084"))
        self.assertFalse(self.validate("12143363924"))
        self.assertFalse(self.validate("1214686292"))
        self.assertFalse(self.validate("012146862924"))
