from enum import Enum
from typing import List


class Operations(Enum):
    SUM = "SUM"


class Modulus:
    def __init__(self, modulus: int, weights: List[int], operation: Operations = None) -> None:
        self.modulus = modulus
        self.weights = weights
        self.operation = operation

    def calculate_check_digit(self, str_without_check_digit: str) -> int:
        str_without_check_digit_list: List[int] = list(map(int, list(str_without_check_digit)))
        self.weights += len(str_without_check_digit) // len(self.weights) * self.weights
        self.weights = self.weights[: len(str_without_check_digit)]
        zipped = zip(self.weights, str_without_check_digit_list)

        operation = lambda x: x
        if self.operation == Operations.SUM:
            operation = lambda x: sum(list(map(int, list(str(x)))))
        weighted = sum([operation(x * y) for x, y in reversed(list(zipped))])

        remainder = weighted % self.modulus
        if remainder == 0:
            return 0
        return self.modulus - remainder
