import glob
import json
import os

from pdfinvoicereader.resolver.account_number import AccountNumber
from pdfinvoicereader.resolver.kid import Kid

path = os.path.join(os.path.dirname(__file__), "../datasets", "jsons", "**/*.json")
files = glob.glob(path)
print(path)
for i in files:
    with open(i, "r") as file:
        data = json.loads(file.read())
        kid = data.get("kid", "")
        account_number = data.get("creditor", {}).get("invoicingAccountNumber", "")

        if len(kid) > 0 and kid is not None and kid not in ["10789014", "10802015"]:
            assert Kid(kid).is_valid(), kid

        if len(account_number) > 0 and account_number is not None and account_number.strip() not in ["12028266365"]:
            assert AccountNumber(account_number).is_valid(), account_number
