from PIL import Image


# from https://note.nkmk.me/en/python-pillow-add-margin-expand-canvas/
def make_square_image(pil_img, background_color):
    width, height = pil_img.size
    padding = [0, 0]
    if width == height:
        return pil_img, padding
    elif width > height:
        padding = [0, (width - height) // 2]
        result = Image.new(pil_img.mode, (width, width), background_color)
        result.paste(pil_img, (0, (width - height) // 2))
        return result, padding
    else:
        padding = [(height - width) // 2, 0]
        result = Image.new(pil_img.mode, (height, height), background_color)
        result.paste(pil_img, ((height - width) // 2, 0))
        return result, padding


def preprocess_input(pil_image):
    result, _ = make_square_image(pil_image, "white")
    return result.resize((1030, 1030))
