import unittest

from .weigthed_dataloader import WeightedDataloder


class TestWeigthedDataloader(unittest.TestCase):
    def setUp(self):
        pass

    def test_that_it_can_check_all(self):
        group_creditor_invoices = {"standard_invoices": ["1", "2", "3"], "not_normal": ["5"]}
        # 3 files from one cluster and one file from another cluster
        # should make both cluster same size.
        files = [
            "1_1110.png",
            "2_1110.png",
            "3_1110.png",
            "5_1110.png",
        ]
        new_files = WeightedDataloder(group_creditor_invoices=group_creditor_invoices, files=files).get_new_batch()
        assert len(new_files) == 2, len(new_files)
        assert "5_1110.png" in new_files


if __name__ == "__main__":
    unittest.main()
